#!/usr/bin/env python3

import klayout.db as db
from rich import inspect, print

if __name__ == "__main__":

    demo_lay = db.Layout()
    demo_lay.read("nested.oas")

    # Iterate over the cells in the original layout
    top = demo_lay.top_cell()
    iter_inst = top.begin_instances_rec()
    # print(f"cell index: {iter_inst.cell_index()}")

    # Collect the cell indices of the cells to flatten
    print(
        f"Cell={top.name},    inst_cell_index={top.cell_index()}"
    )
    for i in iter_inst.each():
        print(
            f"Cell={i.inst_cell().name}, inst_cell_index={i.inst_cell().cell_index()}, inst_iter_cell_index={i.cell_index()} "
        )

